Bug 51579 - webkitpy.layout_tests.layout_package.message_broker_unittest.MultiThreadedBrokerTest failed on commit-queue
Summary: webkitpy.layout_tests.layout_package.message_broker_unittest.MultiThreadedBro...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 20:02 PST by Eric Seidel (no email)
Modified: 2011-02-02 18:18 PST (History)
4 users (show)

See Also:


Attachments
Patch (2.83 KB, patch)
2011-01-18 14:54 PST, Dirk Pranke
no flags Details | Formatted Diff | Diff
update w/ fix in r76073, try again (5.02 KB, patch)
2011-02-02 18:17 PST, Dirk Pranke
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-12-23 20:02:47 PST
webkitpy.layout_tests.layout_package.message_broker_unittest.MultiThreadedBrokerTest failed on commit-queue

http://queues.webkit.org/results/7283157

FAIL: test_exception (webkitpy.layout_tests.layout_package.message_broker_unittest.MultiThreadedBrokerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Projects/CommitQueue/Tools/Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py", line 145, in test_exception
    self.assertRaises(ValueError, self.run_one_thread, 'Exception')
AssertionError: ValueError not raised
Comment 1 Eric Seidel (no email) 2010-12-23 20:03:17 PST
I'm not sure if this is flaky or what.
Comment 2 Dirk Pranke 2010-12-23 20:43:50 PST
odd. could be flaky. is there a way to tell which patch was being applied? Was it the change I just filed (bug 51572), or some other random change?
Comment 3 Eric Seidel (no email) 2010-12-24 00:44:33 PST
There is no easy way to go back from the result id on the bot to the patch/bug combo, sadly.
Comment 4 Eric Seidel (no email) 2011-01-06 13:06:15 PST
Just saw another failure from this test suite on the commit-queue:

FAIL: test_timeout (webkitpy.layout_tests.layout_package.message_broker_unittest.MultiThreadedBrokerTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py", line 140, in test_timeout
    interrupted = self.run_one_thread('Timeout')
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/layout_tests/layout_package/message_broker_unittest.py", line 128, in run_one_thread
    return broker.run_message_loop()
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/layout_tests/layout_package/message_broker.py", line 159, in run_message_loop
    log_wedged_worker(thread.getName(), thread.id())
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/layout_tests/layout_package/message_broker.py", line 176, in log_wedged_worker
    assert(stack is not None)
AssertionError
Comment 5 Eric Seidel (no email) 2011-01-14 12:02:47 PST
We saw this flake again on the commit queue:
https://webkit-commit-queue.appspot.com/results/7492048
Comment 6 Mihai Parparita 2011-01-14 16:51:39 PST
Isn't this test (and the code it tests) going away once we switch NRWT to using multiple processes instead of threads?
Comment 7 Dirk Pranke 2011-01-14 17:45:24 PST
(In reply to comment #6)
> Isn't this test (and the code it tests) going away once we switch NRWT to using multiple processes instead of threads?

Can't say for sure. My current plan is to leave in an option for threads, at least until we're sure multiple processes is stable.
Comment 8 Dirk Pranke 2011-01-18 14:54:29 PST
Created attachment 79335 [details]
Patch
Comment 9 Dirk Pranke 2011-01-18 15:21:12 PST
Comment on attachment 79335 [details]
Patch

Clearing flags on attachment: 79335

Committed r76073: <http://trac.webkit.org/changeset/76073>
Comment 10 Dirk Pranke 2011-01-18 15:21:20 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Dirk Pranke 2011-02-02 18:17:22 PST
Created attachment 81019 [details]
update w/ fix in r76073, try again
Comment 12 Dirk Pranke 2011-02-02 18:18:04 PST
Comment on attachment 81019 [details]
update w/ fix in r76073, try again

Whoops. Wrong bug - should've been bug 51572.